Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » EMF » Missing requiremennt: org.eclipse.platform
Missing requiremennt: org.eclipse.platform [message #970245] Sat, 03 November 2012 23:53 Go to next message
Tony Su is currently offline Tony Su
Messages: 3
Registered: November 2012
Junior Member
Running Juno on x64 openSUSE 12.2

(If you just want to see the error, skip to the end)
Attempting to install UIMA, wow what a test of frustration... Have been gradually ironing out missing dependencies until I've run into this one.

Apparently this URL supposedly is insufficient (Maybe, maybe not. See how things progress, I arrive at the same error)
http://download.eclipse.org/modeling/emf/updates/releases

so

Attempting to install from this recommended URL
http://download.eclipse.org/modeling/emf/updates/

which resulted in a minor error (sorry, I can't remember exactly what it was)
I then ran "Help... Check for Updates" which installed/updated numerous packages

But then when after an automatic Eclipse restart,
I'm seeing the same error reported when I tried the first URL

Error Reported
Missing requirement: EMF Examples 2.5.0.v200906151043 (org.eclipse.emf.examples.feature.group 2.5.0.v200906151043) requires 'org.eclipse.platform.feature.group [3.3.0.v20061208-Fj22sCYGm0XDWm3,4.0.0)' but it could not be found

Am unable to find any way to resolve this. Surely this should be available as part of a standard package?

TIA,
Tony
Re: Missing requiremennt: org.eclipse.platform [message #970983 is a reply to message #970245] Sun, 04 November 2012 13:35 Go to previous messageGo to next message
Ed Merks is currently offline Ed Merks
Messages: 26054
Registered: July 2009
Senior Member
Tony,

Which version of Eclipse are you installing into? Which version of EMF
and Eclipse does UIMA require? I don't generally expect anyone to
install the examples feature, those examples are used to build the SDK
to help you create examples in the workspace. I'm not sure why you have
them installed.


On 04/11/2012 1:04 PM, Tony Su wrote:
> Running Juno on x64 openSUSE 12.2
>
> (If you just want to see the error, skip to the end)
> Attempting to install UIMA, wow what a test of frustration... Have
> been gradually ironing out missing dependencies until I've run into
> this one.
>
> Apparently this URL supposedly is insufficient (Maybe, maybe not. See
> how things progress, I arrive at the same error)
> http://download.eclipse.org/modeling/emf/updates/releases
>
> so
>
> Attempting to install from this recommended URL
> http://download.eclipse.org/modeling/emf/updates/
>
> which resulted in a minor error (sorry, I can't remember exactly what
> it was)
> I then ran "Help... Check for Updates" which installed/updated
> numerous packages
>
> But then when after an automatic Eclipse restart,
> I'm seeing the same error reported when I tried the first URL
>
> Error Reported
> Missing requirement: EMF Examples 2.5.0.v200906151043
> (org.eclipse.emf.examples.feature.group 2.5.0.v200906151043) requires
> 'org.eclipse.platform.feature.group
> [3.3.0.v20061208-Fj22sCYGm0XDWm3,4.0.0)' but it could not be found
>
> Am unable to find any way to resolve this. Surely this should be
> available as part of a standard package?
>
> TIA,
> Tony
>
Re: Missing requiremennt: org.eclipse.platform [message #971385 is a reply to message #970983] Sun, 04 November 2012 21:22 Go to previous messageGo to next message
Tony Su is currently offline Tony Su
Messages: 3
Registered: November 2012
Junior Member
Hello Ed,

Am running
Juno
Version: 4.2.1
Build id: M20120914-1800

I have not found any UIMA documentation specifying what version of EMF, so I've simply cherry-picked the latest version of each package.

I also considered the fact that examples aren't likely required, but since I'm now to EMF thought if they were installed they could contribute to the learning experience.

Thx,
TSU
Re: Missing requiremennt: org.eclipse.platform [message #971821 is a reply to message #971385] Mon, 05 November 2012 06:07 Go to previous messageGo to next message
Ed Merks is currently offline Ed Merks
Messages: 26054
Registered: July 2009
Senior Member
Tony,

Use the Juno repo (which should be in your list) to install just the EMF
SDK. The examples are incorporated into the SDK as zip files containing
projects that can be added to the workspace via File ->New->Example...
I believe we stopped adding the example features themselves to the repo
quite a while ago, so the ones in the aggregate repo are from old releases.


On 04/11/2012 10:22 PM, Tony Su wrote:
> Hello Ed,
>
> Am running Juno
> Version: 4.2.1
> Build id: M20120914-1800
>
> I have not found any UIMA documentation specifying what version of
> EMF, so I've simply cherry-picked the latest version of each package.
>
> I also considered the fact that examples aren't likely required, but
> since I'm now to EMF thought if they were installed they could
> contribute to the learning experience.
>
> Thx,
> TSU
Re: Missing requiremennt: org.eclipse.platform [message #973855 is a reply to message #971821] Tue, 06 November 2012 17:20 Go to previous messageGo to next message
Tony Su is currently offline Tony Su
Messages: 3
Registered: November 2012
Junior Member
Thx Ed!

That seems to have worked (Installed without errors).

If this becomes the recommended approach, then I wonder if either the UIMA folks should update their documentation or maybe a re-direct for the URI I used?

Or, of course I guess people following in my footsteps can just run into the problem and find this thread...

Tony
Re: Missing requiremennt: org.eclipse.platform [message #973875 is a reply to message #973855] Tue, 06 November 2012 17:40 Go to previous message
Ed Merks is currently offline Ed Merks
Messages: 26054
Registered: July 2009
Senior Member
Tony,

Yes, if their documentation misdirected you, best you suggest they
update it.


On 06/11/2012 6:20 PM, Tony Su wrote:
> Thx Ed!
>
> That seems to have worked (Installed without errors).
>
> If this becomes the recommended approach, then I wonder if either the
> UIMA folks should update their documentation or maybe a re-direct for
> the URI I used?
>
> Or, of course I guess people following in my footsteps can just run
> into the problem and find this thread...
>
> Tony
Previous Topic:Creating an own form based editor
Next Topic:[EMF] GettingStartedWithUML2 - resource is null
Goto Forum:
  


Current Time: Sat Sep 20 12:04:06 GMT 2014

Powered by FUDForum. Page generated in 0.02046 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software